import 'dart:async';

import 'package:flutter/services.dart';

class AlipayNoUtdid {
  static const MethodChannel _channel = const MethodChannel('alipay_no_utdid');

  static Future<Map<String, String>> pay(String order,
      {AliPayEvn payEnv = AliPayEvn.ONLINE}) {
    return _channel
        .invokeMethod('pay', {"order": order, "payEnv": payEnv.index});
  }

  static Future<bool> isInstalled() {
    return _channel
        .invokeMethod('isInstalled');
  }
}

enum AliPayEvn { ONLINE, SANDBOX }
